#!/usr/bin/perl

use Test::More qw(no_plan);

use strict;
use FindBin qw($Bin);
use lib "$Bin/../lib", "$Bin/../etc", "$Bin/lib";
use Opsview::Test qw(opsview);
use Opsview;
use Opsview::Hostinfo;
use Opsview::Host;
use utf8;

my $utfstring = 'dénér Óberne';

my $host = Opsview::Host->retrieve(1);
is($host->name, "opsview" );
is($host->information, undef, "No default text" );

$host->information($utfstring);

my $result = $host->information;
is( $result, $utfstring, "Got utf8 string" );


my $hg = Opsview::Hostgroup->retrieve(2);
is($hg->name, "Monitoring Servers");
is($hg->information, undef, "No default text for hostgroup");

$hg->information($utfstring);

$result = $hg->information;
is( $result, $utfstring, "Got utf8 string" );
